/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model;

/**
 * @author Iván Zaera Avellón
 */
public class PositionLabel extends ChartObject {

	public PositionLabel(Position position, String text) {
		setPosition(position);
		setText(text);
	}

	public void setPosition(Position position) {
		set("position", position._value);
	}

	public void setText(String text) {
		set("text", text);
	}

	public enum Position {

		INNER_BOTTOM("inner-bottom"), INNER_CENTER("inner-center"),
		INNER_LEFT("inner-left"), INNER_MIDDLE("inner-middle"),
		INNER_RIGHT("inner-right"), INNER_TOP("inner-top"),
		OUTER_BOTTOM("outer-bottom"), OUTER_CENTER("outer-center"),
		OUTER_LEFT("outer-left"), OUTER_MIDDLE("outer-middle"),
		OUTER_RIGHT("outer-right"), OUTER_TOP("outer-top");

		private Position(String value) {
			_value = value;
		}

		private final String _value;

	}

}