/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model.geomap;

import com.liferay.frontend.taglib.chart.model.ChartObject;
import com.liferay.petra.string.StringPool;

/**
 * @author Julien Castelain
 */
public class GeomapConfig extends ChartObject {

	public GeomapColor getColor() {
		return get("color", GeomapColor.class);
	}

	public Object getData() {
		Object data = get("data", Object.class, false);

		if (data == null) {
			return StringPool.BLANK;
		}

		return data;
	}

	public void setColor(GeomapColor geomapColor) {
		set("color", geomapColor);
	}

	public void setDataHREF(String dataHREF) {
		Object data = get("data", Object.class, false);

		if ((data != null) && !(data instanceof String)) {
			throw new IllegalStateException(
				"Unable to set data HREF because is has been set as Object");
		}

		set("data", dataHREF);
	}

	public void setDataObject(Object dataObject) {
		Object data = get("data", Object.class, false);

		if ((data != null) && !(data instanceof Object)) {
			throw new IllegalStateException(
				"Unable to set Object data because it has been set as URL");
		}

		set("data", dataObject);
	}

}